# Class IdMap

java.lang.Object
org.snpeff.gtex.IdMap

public class IdMap extends Object
Maps many IDs to many Names I.e. a mapping id invalid input: '<'-> name where neither is unique

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`IdMap()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String id, String name)`
Add a mapping id invalid input: '<'-> name
`List<String>`
`getIds(String name)`
Get all IDs corresponding to this name
`List<String>`
`getNames(String id)`
Get all names corresponding to this Id

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IdMap

public IdMap()

## Method Details

### add

public void add(String id, String name)
Add a mapping id invalid input: '<'-> name

Parameters:
  `id` -
  `name` -

### getIds

public List<String> getIds(String name)
Get all IDs corresponding to this name

Parameters:
  `name` -
Returns:

### getNames

public List<String> getNames(String id)
Get all names corresponding to this Id

Parameters:
  `name` -
Returns: